#if !defined(AFX_BEZIERSET_H__4DEAE393_968A_11D1_9F0A_82F24D4DAE70__INCLUDED_)
#define AFX_BEZIERSET_H__4DEAE393_968A_11D1_9F0A_82F24D4DAE70__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// BezierSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CBezierSet DAO recordset

class CBezierSet : public CDaoRecordset
{
public:
	CBezierSet(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CBezierSet)

// Field/Param Data
	//{{AFX_FIELD(CBezierSet, CDaoRecordset)
	long	m_nro_imagen;
	short	m_nro_curva;
	long	m_X1;
	long	m_X2;
	long	m_X3;
	long	m_Y1;
	long	m_Y2;
	long	m_Y3;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBezierSet)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BEZIERSET_H__4DEAE393_968A_11D1_9F0A_82F24D4DAE70__INCLUDED_)
