#include "StdAfx.h"
#include "SRAF.h"
#include "Image.h"
#include "EdgeDetector.h"

IMPLEMENT_DYNAMIC(CEdgeDetector, CObject);

CEdgeDetector::CEdgeDetector()
{
	m_nRows = 0;
	m_nCols = 0;
	m_hWnd = NULL;
}

CEdgeDetector::~CEdgeDetector()
{
}

float** CEdgeDetector::f2d() const
{
	float **x;
	int i;

	x = (float **)calloc ( m_nRows, sizeof (float *) );
	if (x == 0) {
		AfxThrowMemoryException();
	}

	for (i = 0; i < m_nRows; i++) {  
		x[i] = (float *) calloc(m_nCols, sizeof (float));

		if (x[i] == 0) {
			AfxThrowMemoryException();
		}
	}
	return x;
}

/*IMAGE CEdgeDetector::CreateImageBuffer() const
{
	IMAGE data;

	data = new BYTE*[m_nRows];

	if (data) {
		for (int i = 0; i < m_nRows; i++) {
			data[i] = new BYTE[m_nCols];
			if (!data[i]) {
				for (int j = 0; j < i; j++)
					delete[] data[j];
				delete[] data;
				return NULL;
			}
		}
	}
	return data;
}

void CEdgeDetector::DeleteImageBuffer(IMAGE data) const
{
	if (data) {
		for (int i = 0; i < m_nRows; i++)
			delete[] data[i];
		delete[] data;
	}
}*/
