#include "stdafx.h"
#include "MyTreeCtrl.h"


CMyTreeCtrl::CMyTreeCtrl()
{
	// Campos comunes.
	m_tvinsert.item.mask = TVIF_IMAGE | TVIF_SELECTEDIMAGE | 
		TVIF_TEXT | TVIF_PARAM;
	m_tvinsert.item.hItem = NULL;
	m_tvinsert.item.state = 0;
	m_tvinsert.item.stateMask = 0;
	m_tvinsert.item.cchTextMax = 6;
	m_tvinsert.item.cChildren = 0;
}

void CMyTreeCtrl::SetIconList(int* pIconArray, int nNumber)
{
	m_list.Create(16, 16, 0, nNumber, nNumber * 2);
	
	for (int i = 0; i < nNumber; i++) 
		m_list.Add(AfxGetApp()->LoadIcon(pIconArray[i]));
	
	SetImageList(&m_list, TVSIL_NORMAL);
}

int CMyTreeCtrl::AddIcon(int IconID);
{
	int index = m_list.Add(AfxGetApp()->LoadIcon(IconID));

	if (index) SetImageList(&m_list, TVSIL_NORMAL);

	return index;
}


HTREEITEM CMyTreeCtrl::InsertItem(CString texto, LPARAM parametro,
	int imagen, int seleccion, HTREEITEM hPadre, HTREEITEM hAnterior)
{
	m_tvinsert.hParent = hPadre;
	m_tvinsert.hInsertAfter = hAnterior;
	m_tvinsert.item.pszText = texto.GetBuffer(0);
	m_tvinsert.item.lParam = parametro;
	m_tvinsert.item.iImage = imagen;
	m_tvinsert.item.iSelectedImage = seleccion;

	return InsertItem(&m_tvinsert);
}
